CVE-2024-34703

Name
CVE-2024-34703
Description
Botan is a C++ cryptography library. X.509 certificates can identify elliptic curves using either an object identifier or using explicit encoding of the parameters. Prior to versions 3.3.0 and 2.19.4, an attacker could present an ECDSA X.509 certificate using explicit encoding where the parameters are very large. The proof of concept used a 16Kbit prime for this purpose. When parsing, the parameter is checked to be prime, causing excessive computation. This was patched in 2.19.4 and 3.3.0 to allow the prime parameter of the elliptic curve to be at most 521 bits. No known workarounds are available. Note that support for explicit encoding of elliptic curve parameters is deprecated in Botan.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/randombit/botan/commit/08c404b23740babee1f6aa51b54e966029aadee4
MISC https://github.com/randombit/botan/commit/94e9154c143aa5264da6254a6a1be5bc66ee2b5a
CONFIRM https://github.com/randombit/botan/security/advisories/GHSA-w4g2-7m2h-7xj7

Match rules

CPE URI Source package Min version Max version
botan >= 3.3.0 < 3.3.0
botan >= 0 < 2.19.4
cpe:2.3:a:randombit:botan:3.30:*:*:*:*:*:*:* botan >= 3.30 < 3.3.1
cpe:2.3:a:randombit:botan:3.30:*:*:*:*:*:*:* botan >= 0 < 2.19.4

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
botan 3.19-main 2.19.3-r5 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
botan 3.18-main 2.19.3-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
botan 3.17-main 2.19.3-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable